VkMemoryRequirements Struct Reference

`#include <vulkan.h>`

## Data Fields

VkDeviceSize | size
VkDeviceSize | alignment
uint32_t | memoryTypeBits

## Detailed Description

Definition at line 1721 of file vulkan.h.

## Field Documentation

## alignment

VkDeviceSize VkMemoryRequirements::alignment

Definition at line 1723 of file vulkan.h.

## memoryTypeBits

uint32_t VkMemoryRequirements::memoryTypeBits

Definition at line 1724 of file vulkan.h.

## size

VkDeviceSize VkMemoryRequirements::size

Definition at line 1722 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h